Bug 6353 - Erroneous prefixes before the singleBranchMode preference
Summary: Erroneous prefixes before the singleBranchMode preference
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Bugs List
URL:
Keywords:
Depends on: 6347
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-05-17 15:36 UTC by Janusz Kaczmarek
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.70 KB, patch)
2011-05-17 15:36 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Proposed patch (with the header) (3.28 KB, patch)
2011-05-19 07:19 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6353: Erroneous prefixes before the singleBranchMode preference removed (3.45 KB, patch)
2011-05-29 21:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2011-05-17 15:36:59 UTC Comment hidden (obsolete)
Comment 1 Katrin Fischer 2011-05-18 05:53:12 UTC
This patch does not apply with git:
Patch format detection failed.

I am marking 'Does not apply' - perhaps someone can reformat?
Comment 2 Janusz Kaczmarek 2011-05-18 11:26:36 UTC
Katrin, I have just resent the patch again to the list (yesterday my e-mail program introduced line breaks). 

Please test it now. 

Thank you.
Comment 3 Katrin Fischer 2011-05-19 05:59:24 UTC
Can you attach your new patch to the bug plz? You can mark the old one obsolete, so there will be no confusion about which patch should be used.
Comment 4 Janusz Kaczmarek 2011-05-19 07:19:29 UTC
Created attachment 4181 [details] [review]
Proposed patch (with the header)
Comment 5 Janusz Kaczmarek 2011-05-19 20:43:54 UTC
Hi Katrin,

Could you, please, explain, why do you consider this bug as dependent on 6347?  I do not get the point.  It seems to me that these two bugs are fully independent.  As to opac-results.tt: singleBranchMode is a "global" parameter/preference -- all I propose in my patch is removing the erroneous loop prefix from before it...

Best regards!

Janusz
Comment 6 Katrin Fischer 2011-05-19 20:58:30 UTC
Hi Janusz, 

I can't test the part on reserve.tt because it applies to item level holds - which are currently broken. See here from the code:

       [% IF ( OPACItemHolds ) %]
                  [% IF ( bibitemloo.holdable ) %]
                    <tr class="copiesrow" id="copiesrow_[% bibitemloo.biblionumber %]">
                      <td colspan="1">
                      </td>
                      <td colspan="[% bibitemloo.itemtable_colspan %]">
                        <table>
                          <caption>Select a specific copy:</caption>
                          <tr>
                            <th>Copy</th>
                            [% IF ( item_level_itypes ) %]
                              <th>Item Type</th>
                            [% END %]
                            <th>Barcode</th>
line you fixed   >          [% UNLESS ( bibitemloo.singleBranchMode ) %]
                              <th>Home Library</th>
                              <th>Last Location</th>

I believe your patch works, but at the moment I can't test properly. I tried to sign off the fix for item level holds, but ran into some problems.

Hope that explains.
Comment 7 Janusz Kaczmarek 2011-05-20 21:38:50 UTC
Thank you, Katrin, for the explanation--now I get the point.
Comment 8 Katrin Fischer 2011-05-29 21:00:22 UTC
Created attachment 4295 [details] [review]
[SIGNED-OFF] Bug 6353: Erroneous prefixes before the singleBranchMode preference removed

Patch resent due to errors in formating in previous e-mail

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Checked:
- library facet
- library limit on advanced search
- library shown in item level hold table
Comment 9 Chris Cormack 2011-06-10 03:48:05 UTC
TT error, pushed please test
Comment 10 Jared Camins-Esakov 2012-12-31 00:17:44 UTC
There have been no further reports of problems so I am marking this bug resolved.